#!/usr/bin/python
# -*- coding: UTF-8 -*-
__author__ = 'maxisoft'

from plugin import *
import urllib2
import urllib
try:
	from plugin.BotVoteBase import *
except:
	from BotVoteBase import *


class NostalgeekBot(BotBase):
	pluginprior = 0  # aucune priorité
	sitename = u"NostalGeek"  # Nom du site (sert pour les enregistrement DB)
	votewaittime = 122  # permet de verifier toute les X minutes si on peut voter. Precision de plus ou moins 2 minutes

	def login(self, account, **kwargs):
		values = {"username_login_post": account.login, "password_login_post": account.decrypt_pass(), "login_post": "Valider"}
		data = urllib.urlencode(values)  # crée un string "encodant" les valeurs du dict
		request = MyRequest("http://nostalgeek-serveur.com/index.php?box=login", data)  # crée un object request
		# on lance la requete
		url = self.urlo.open(request, timeout=100)
		# lire la reponse
		page = unicode(url.read(), 'utf-8')
		return u"Déconnexion" in page

	def vote(self, account, **kwargs):
		request = MyRequest("http://nostalgeek-serveur.com/index.php?box=votes")  # crée un object request
		# on lance la requete
		url = self.urlo.open(request, timeout=100)
		# lire la reponse
		page = url.read()

		# Verification que l'on peut voter sur "RPG-Paradize"
		if not "javascript:switchVote2()" in page:
			return []  # impossible de voter

		#sinon on lance le vote

		#prevote
		request = MyRequest("http://nostalgeek-serveur.com/index.php?box=votes&id=2")
		# on lance la requete
		url = self.urlo.open(request, timeout=100)
		# lire la reponse
		url.read(1)

		time.sleep(5)  # on attend 5 sec avant le vote sinon le site pense que l'on a pas voter

		#vote
		values = {"id_vote_post": "2", "vote_post": "Récupérer votre point ?"}
		data = urllib.urlencode(values)
		request = MyRequest("http://nostalgeek-serveur.com/index.php?box=votes", data)
		url = self.urlo.open(request, timeout=100)
		url.read(1)
		return ["RPG-Paradize"]